org.eclipse.ui

## Interface IPlaceholderFolderLayout

All Known Subinterfaces:
  IFolderLayout

    public interface IPlaceholderFolderLayout

An `IPlaceholderFolderLayout` is used to define the initial view placeholders within a folder. The folder itself is contained within an `IPageLayout`.

This interface is not intended to be implemented by clients.

Since:
  2.0
See Also:
  `IPageLayout.createPlaceholderFolder(java.lang.String, int, float, java.lang.String)`
Restriction:
  This interface is not intended to be implemented by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addPlaceholder(String viewId)` Adds a view placeholder to this folder.
`String` `getProperty(String id)` Returns the property with the given id or `null`.
`void` `setProperty(String id, String value)` Sets the given property to the given value.

### Method Detail

#### addPlaceholder

    void addPlaceholder(String viewId)

Adds a view placeholder to this folder. A view placeholder is used to define the position of a view before the view appears. Initially, it is invisible; however, if the user ever opens a view whose compound id matches the placeholder, the view will appear at the same location as the placeholder. See the `IPageLayout` type documentation for more details about compound ids. If the placeholder contains wildcards, it remains in the layout, otherwise it is replaced by the view. If the primary id of the placeholder has no wildcards, it must refer to a view contributed to the workbench's view extension point (named `"org.eclipse.ui.views"`).

Parameters:
  `viewId` - the compound view id (wildcards allowed)

#### getProperty

    String getProperty(String id)

Returns the property with the given id or `null`. Folder properties are an extensible mechanism for perspective authors to customize the appearance of view stacks. The list of customizable properties is determined by the presentation factory.

Parameters:
  `id` - Must not be `null`.
Returns:
  property value, or `null` if the property is not set.
Since:
  3.3

#### setProperty

    void setProperty(String id,
                     String value)

Sets the given property to the given value. Folder properties are an extensible mechanism for perspective authors to customize the appearance of view stacks. The list of customizable properties is determined by the presentation factory.

These folder properties are intended to be set during `IPerspectiveFactory#createInitialLayout`. Any subsequent changes to property values after this method completes will not fire change notifications and will not be reflected in the presentation.

Parameters:
  `id` - property id. Must not be `null`.
  `value` - property value. `null` will clear the property.
Since:
  3.3